package com.tofly.watermeter.custom.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.watermeter.custom.entity.CustomGzSb;
import com.tofly.watermeter.custom.entity.CustomSearch;
import com.tofly.watermeter.custom.entity.ZySbInfo;
import com.tofly.watermeter.entity.Bwgzbcjdatail;
import com.tofly.watermeter.entity.Bwzjbcjdatail;
import com.tofly.watermeter.entity.Bwzysbjddatail;
import com.tofly.watermeter.entity.TfYwpnBwsjblgl;

import javax.servlet.http.HttpServletRequest;

/**
 * @author by Wangjieliu
 * @date 2021/3/17.
 */
public interface ZySbInfoService extends IService<ZySbInfo> {
    boolean insert(TfYwpnBwsjblgl bwcjbl);

    IPage getConfig(Page page, TfYwpnBwsjblgl sjbl);

    boolean insertZyjg(Bwzysbjddatail bwzysbjddatail, HttpServletRequest request);

    boolean insertZy(Bwzysbjddatail bwzysbjddatail);

    IPage getZy(Page page, Bwzysbjddatail bwzysbjddatail);

    boolean deleteZy(Long id);

    boolean insertSpot(Bwzjbcjdatail bwzjbcjdatail);

    IPage getSpot(Page page, CustomSearch search);

    boolean insertExcrete(Bwgzbcjdatail bwgzbcjdatail, HttpServletRequest request);

    IPage<CustomGzSb> getExcrete(Page page , CustomSearch search);

    boolean updateConfig(TfYwpnBwsjblgl sjbl);

    boolean delExcrete(Long id);

    boolean delSpot(Long id);

    boolean deleteConfig(Long sbkj);
}
